Module java.management.rmi
Package javax.management.remote.rmi

## Class RMIServerImpl_Stub

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteStub
    - - javax.management.remote.rmi.RMIServerImpl_Stub

All Implemented Interfaces:
  `Serializable`, `Remote`, `RMIServer`

    public final class RMIServerImpl_Stub
    extends RemoteStub
    implements RMIServer

See Also:
  Serialized Form

### Field Summary

### Fields declared in class java.rmi.server.RemoteObject

`ref`

### Constructor Summary

Constructors
`RMIServerImpl_Stub​(RemoteRef ref)`

### Method Summary

### Methods declared in class java.rmi.server.RemoteStub

`setRef`

### Methods declared in class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods declared in interface javax.management.remote.rmi.RMIServer

`getVersion, newClient`

### Constructor Detail

#### RMIServerImpl_Stub

    public RMIServerImpl_Stub​(RemoteRef ref)